<template>
  <div class="sign-up">
    <section class="hero is-fullheight is-dark is-bold">
      <div class="hero-body">
        <div class="container">
          <div class="columns is-vcentered">
            <div class="column is-4 is-offset-4">
              <h1 class="title has-text-centered	">
                Registration
              </h1>
              <div class="box">
                <label class="label">Username</label>
                <p class="control">
                  <input class="input" type="text" v-model="name" placeholder="jsmith">
                </p>
                <label class="label">Email</label>
                <p class="control">
                  <input class="input" type="text" v-model="email" placeholder="jsmith@example.org">
                </p>
                <hr>
                <label class="label">Password</label>
                <p class="control">
                  <input class="input" v-model="password" type="password" placeholder="●●●●●●●">
                </p>
                <hr>
                <p class="control">
                  <button class="button is-primary" @click="signUp" >Register</button>
                  <button class="button is-default" @click="clear">Cancel</button>
                </p>
              </div>
              <p class="has-text-centered">
                <a href="/#/login">Login</a>
              </p>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--<p>Let's create a new account !</p>-->
    <!--<input type="text" v-model="email" placeholder="Email"><br>-->
    <!--<input type="password" v-model="password" placeholder="Password"><br>-->
    <!--<button v-on:click="signUp">Sign Up</button>-->
    <!--<span>or go back to <router-link to="/login">login</router-link>.</span>-->
  </div>
</template>
<script>
  import firebase from 'firebase'
  import axios from 'axios'
  export default {
    name: 'signUp',
    data: function() {
      return {
        sys_id: '',
        toggle: {},
        name: '',
        email: '',
        password: '',
        didRegister: false
      }
    },
    methods: {
      clear () {
          this.name = '',
          this.email = '',
          this.password = ''
      },
      createUser(user) {
        this.toggle = {
          name: this.name,
          email: this.email,
          group_id: false,
          id: user.uid,
          admin: false,
        },
        console.log(this.toggle);
        axios.post(('https://unitask-604a4.firebaseio.com/users.json'), this.toggle);
      },
      signUp: function() {
        firebase.auth().createUserWithEmailAndPassword(this.email, this.password).then(
          (user) => {
            console.log("PRINTINA")
            this.createUser(user)
            alert('You are now registered!')
            this.$router.replace('login')
          },
          (err) => {
            alert('Oops. ' + err.message)
          }
        );
      },
    },
    mounted () {
      console.log('Sign-up mounted')
      axios.get('https://unitask-604a4.firebaseio.com/users.json')
        .then( res => {
          console.log("Sign-up loaded response")
          this.sys_id = Object.keys(res.data)[Object.keys(res.data).length-1].length;
          console.log(this.sys_id)
        })
    },
  }
</script>

<style scoped>

</style>
